# -*- encoding: utf-8 -*-
# stub: graffiti 2.3.1 ruby lib

Gem::Specification.new do |s|
  s.name = "graffiti"
  s.version = "2.3.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Dmitry Borodaenko"]
  s.date = "2016-04-17"
  s.description = "Graffiti is an RDF store based on dynamic translation of RDF queries into SQL.\nGraffiti allows one to map any relational database schema into RDF semantics\nand vice versa, to store any RDF data in a relational database.\n\nGraffiti uses Sequel to connect to database backend and provides a DBI-like\ninterface to run RDF queries in Squish query language from Ruby applications.\n"
  s.email = "angdraug@debian.org"
  s.files = ["COPYING", "ChangeLog.mtn", "README.rdoc", "Rakefile", "TODO", "doc/diagrams/graffiti-classes.svg", "doc/diagrams/graffiti-deployment.svg", "doc/diagrams/graffiti-store-sequence.svg", "doc/diagrams/squish-select-sequence.svg", "doc/examples/samizdat-rdf-config.yaml", "doc/examples/samizdat-triggers-pgsql.sql", "doc/papers/collreif.tex", "doc/papers/rdf-to-relational-query-translation-icis2009.tex", "doc/papers/rel-rdf.tex", "doc/rdf-impl-report.txt", "graffiti.gemspec", "lib/graffiti.rb", "lib/graffiti/debug.rb", "lib/graffiti/exceptions.rb", "lib/graffiti/rdf_config.rb", "lib/graffiti/rdf_property_map.rb", "lib/graffiti/sql_mapper.rb", "lib/graffiti/squish.rb", "lib/graffiti/store.rb", "setup.rb", "test/ts_graffiti.rb"]
  s.homepage = "https://github.com/angdraug/graffiti"
  s.licenses = ["GPL-3.0+"]
  s.rubygems_version = "2.5.1"
  s.summary = "Relational RDF store for Ruby"
  s.test_files = ["test/ts_graffiti.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<syncache>, [">= 0"])
      s.add_runtime_dependency(%q<sequel>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<test-unit>, [">= 0"])
      s.add_development_dependency(%q<sqlite3>, [">= 0"])
    else
      s.add_dependency(%q<syncache>, [">= 0"])
      s.add_dependency(%q<sequel>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<test-unit>, [">= 0"])
      s.add_dependency(%q<sqlite3>, [">= 0"])
    end
  else
    s.add_dependency(%q<syncache>, [">= 0"])
    s.add_dependency(%q<sequel>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<test-unit>, [">= 0"])
    s.add_dependency(%q<sqlite3>, [">= 0"])
  end
end
